/* viewfactory.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */

public interface I4uc.Core.ViewFactory : GLib.Object
{
	public abstract void show_error_message (string error_message);
	public abstract void show_open_dialog (ref string folder_uri, out Gee.List<string> files_to_open);
	public abstract DialogResponse show_save_dialog (string name, ref string folder_uri, out string file_uri);
	public abstract DialogResponse show_yes_no_message (string message, bool cancel=false);
}
